package com.ym.mec.biz.dal.dto;

import com.ym.mec.common.enums.UserGenderEnum;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.util.List;

/**
 * @Author Joburgess
 * @Date 2019/9/19
 */
public class StudentManageListDto {

    @ApiModelProperty(value = "用户ID",required = false)
    private Integer userId;

    @ApiModelProperty(value = "用户名",required = false)
    private String realName;

    @ApiModelProperty(value = "性别",required = false)
    private UserGenderEnum gender;

    @ApiModelProperty(value = "家长电话号码",required = false)
    private String parentsPhone;

    @ApiModelProperty(value = "家长名字",required = false)
    private String parentsName;

    @ApiModelProperty(value = "生日",required = false)
    private Date birthdate;

    @ApiModelProperty(value = "班级",required = false)
    private String currentClass;

    @ApiModelProperty(value = "年级",required = false)
    private String currentGrade;

    public String getCurrentClass() {
        return currentClass;
    }

    public void setCurrentClass(String currentClass) {
        this.currentClass = currentClass;
    }

    public String getCurrentGrade() {
        return currentGrade;
    }

    public void setCurrentGrade(String currentGrade) {
        this.currentGrade = currentGrade;
    }

    public Date getBirthdate() {
        return birthdate;
    }

    public void setBirthdate(Date birthdate) {
        this.birthdate = birthdate;
    }

    public UserGenderEnum getGender() {
        return gender;
    }

    public void setGender(UserGenderEnum gender) {
        this.gender = gender;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getParentsPhone() {
        return parentsPhone;
    }

    public void setParentsPhone(String parentsPhone) {
        this.parentsPhone = parentsPhone;
    }

    public String getParentsName() {
        return parentsName;
    }

    public void setParentsName(String parentsName) {
        this.parentsName = parentsName;
    }
}
